# Class EarPluginConvention

java.lang.Object
org.gradle.plugins.ear.EarPluginConvention

public class EarPluginConvention extends Object
Ear Plugin Convention.

## Constructor Summary

Constructors
Constructor
Description
`EarPluginConvention(org.gradle.api.internal.file.FileResolver fileResolver, ObjectFactory objectFactory)`
Construct an EarPluginConvention using public `ObjectFactory`.
`EarPluginConvention(org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.internal.reflect.Instantiator instantiator)`
Deprecated.
Use public `ObjectFactory` constructor instead of this one using internal `Instantiator`.

## Method Summary

Modifier and Type
Method
Description
`void`
`appDirName(String appDirName)`
Allows changing the application directory.
`EarPluginConvention`
`deploymentDescriptor(Closure configureClosure)`
Configures the deployment descriptor for this EAR archive.
`EarPluginConvention`
`deploymentDescriptor(Action<? super DeploymentDescriptor> configureAction)`
Configures the deployment descriptor for this EAR archive.
`String`
`getAppDirName()`
The name of the application directory, relative to the project directory.
`DeploymentDescriptor`
`getDeploymentDescriptor()`
A custom deployment descriptor configuration.
`String`
`getLibDirName()`
The name of the library directory in the EAR file.
`void`
`libDirName(String libDirName)`
Allows changing the library directory in the EAR file.
`void`
`setAppDirName(String appDirName)`
`void`
`setDeploymentDescriptor(DeploymentDescriptor deploymentDescriptor)`
`void`
`setLibDirName(String libDirName)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EarPluginConvention

@Deprecated public EarPluginConvention(org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.internal.reflect.Instantiator instantiator)
Deprecated.
Use public `ObjectFactory` constructor instead of this one using internal `Instantiator`.
Construct an EarPluginConvention using internal `Instantiator`.

### EarPluginConvention

@Inject public EarPluginConvention(org.gradle.api.internal.file.FileResolver fileResolver, ObjectFactory objectFactory)
Construct an EarPluginConvention using public `ObjectFactory`.

Since:
  4.2

## Method Details

### getAppDirName

public String getAppDirName()
The name of the application directory, relative to the project directory. Default is "src/main/application".

### setAppDirName

public void setAppDirName(String appDirName)

### appDirName

public void appDirName(String appDirName)
Allows changing the application directory. Default is "src/main/application".

### getLibDirName

public String getLibDirName()
The name of the library directory in the EAR file. Default is "lib".

### setLibDirName

public void setLibDirName(String libDirName)

### libDirName

public void libDirName(String libDirName)
Allows changing the library directory in the EAR file. Default is "lib".

### getDeploymentDescriptor

public DeploymentDescriptor getDeploymentDescriptor()
A custom deployment descriptor configuration. Default is an "application.xml" with sensible defaults.

### setDeploymentDescriptor

public void setDeploymentDescriptor(DeploymentDescriptor deploymentDescriptor)

### deploymentDescriptor

public EarPluginConvention deploymentDescriptor(Closure configureClosure)
Configures the deployment descriptor for this EAR archive.

The given closure is executed to configure the deployment descriptor. The `DeploymentDescriptor` is passed to the closure as its delegate.

Parameters:
  `configureClosure` - The closure.
Returns:
  This.

### deploymentDescriptor

public EarPluginConvention deploymentDescriptor(Action<? super DeploymentDescriptor> configureAction)
Configures the deployment descriptor for this EAR archive.

The given action is executed to configure the deployment descriptor.

Parameters:
  `configureAction` - The action.
Returns:
  This.
Since:
  3.5